% Excercises with Calculations

%% Gymanstics score tally
% Julie participated in a gymnastics competition, and received the
% following scores:
% Vault:         8.9, 8.7, 8.2, 9.1, 9.0;
% Uneven_Bar:    9.5, 9.3, 9.3, 9.25, 8.9;
% Balance_Beam:  8.9, 8.9, 8.7, 8.6, 8.5;
% Floor:         8.9, 8.8, 8.8, 8.7, 8.9;
%
% Julie's final score for any given event needs to be the mean score after
% removing the lowest and highest score for that event.  Write code
% that computes Julie's final score in each event, and then the total of
% her scores across all events.
% 
% One way to do so:
%   Sort each vector of Event scores 
%   Trim with indexing to omit first and last within the sorted vector
%   Concatenate all trimmed vectors into a single matrix
%   Take the mean across the relevant dimension of the matrix
Vault =        [8.9, 8.7, 8.2, 9.1, 9.0];
Uneven_Bar =   [9.5, 9.3, 9.3, 9.25, 8.9];
Balance_Beam = [8.9, 8.9, 8.7, 8.6, 8.5];
Floor =        [8.9, 8.8, 8.8, 8.7, 8.9];


%% Fixing Data
% You are preparing stimuli for an experiment and discover a mistake in the
% final column on which the stimuli will be based.  Each value in the final
% coumn needs to be squared.  Write code to correct the error, and DON'T
% simply square each mistaken value by hand!  The data that need correcting
% are defined below
% 
Bad_Data = [23 24 5;34 35 6; 47 48 7];

%% Baseline correction
% Take the average of the first five points and subtract them from the
% entire series below.  
Time_series= [1.8147 1.9058 1.1270 1.9134 1.6324 1.0975 1.2785 ...
              1.5469 1.9575 1.9649 1.1576 1.9706 1.9572 1.4854 1.8003];

% If you have extra time:  Plot before and after, on the same plot
plot